<template>
  <div>
    <EditableTable
      :t-head="tHead"
      :t-data="tData"
      :editable-fields="editableFields"
      :is-loading-prop="isLoading"
      is-exportable
    />
  </div>
</template>

<script>
export default {
  name: "OzonTurnover",
  props: {
    isOpen: {
      type: Boolean,
      required: true,
    },
  },
  data() {
    return {
      isLoading: false,
      tHead: [
        { key: 'productCategory', label: 'Категория товаров' },
        { key: 'days', label: 'Пороговаемая оборачиваемость, дней' }
      ],
      tData: [],
      editableFields: [
        {
          name: 'productCategory',
          type: 'input',
          editable: false,
        },
        {
          name: 'days',
          type: 'input',
          editable: true,
        }
      ]
    }
  },
}
</script>

<style scoped>

</style>
